Name:           owasp-java-html-sanitizer
Version:        20150501.1
Release:        2%{?dist}
Summary:        A fast HTML Sanitizer written in Java

# New BSD License
License:        BSD
URL:            http://code.google.com/p/owasp-java-html-sanitizer
# TODO: there are no tests in the generated tarball
# ./create-tarball.sh
Source0:        %{name}-%{version}.tar.gz
Source2:        create-tarball.sh

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(com.google.guava:guava)
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(junit:junit)

BuildArch:      noarch

%description
A fast and easy to configure HTML Sanitizer written in Java which lets you 
include HTML authored by third-parties in your web application 
while protecting against XSS.
The code was written with security best practices in mind, has an extensive 
test suite, and has undergone adversarial security review. 

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains API javadoc documentation for %{name}


%prep
%setup -q -n %{name}-%{version}

%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin

%pom_remove_dep com.google.code.findbugs:annotations
%pom_remove_dep nu.validator.htmlparser:htmlparser

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc COPYING
%files javadoc -f .mfiles-javadoc
%doc COPYING


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20150501.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 04 2015 Michal Srb <msrb@redhat.com> - 20150501.1-1
- Update to upstream version 20150501.1

* Wed Jul 02 2014 Michal Srb <msrb@redhat.com> - 239-1
- Update to upstream version 239

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 223-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Michal Srb <msrb@redhat.com> - 223-1
- Update to upstream version 223

* Wed Sep 11 2013 Michal Srb <msrb@redhat.com> - 209-1
- Update to upstream version 209

* Mon Sep 02 2013 Michal Srb <msrb@redhat.com> - 198-1
- Update to upstream version 198
- Add create-tarball.sh script to SRPM

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 175-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 24 2013 Michal Srb <msrb@redhat.com> - 175-1
- Update to upstream version 175
- Fix directory ownership
- Spec file clean up

* Fri Apr 26 2013 Michal Srb <msrb@redhat.com> - 163-1
- Initial package

